## org.eclipse.emf.cdo.server.hibernate
Interface IHibernateMappingProvider.Factory

Enclosing interface:
  IHibernateMappingProvider

    public static interface IHibernateMappingProvider.Factory

Since:
  2.0

Method Summary
`IHibernateMappingProvider` `create(org.w3c.dom.Element config)` Creates a Hibernate mapping provider from the given element of the `cdo-server.xml` configuration file.
`java.lang.String` `getType()` Returns the type of the mapping providers this factory can create.

Method Detail

### getType

    java.lang.String getType()

  Returns the type of the mapping providers this factory can create.

### create

    IHibernateMappingProvider create(org.w3c.dom.Element config)

  Creates a Hibernate mapping provider from the given element of the `cdo-server.xml` configuration file.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.